Overview
GET/monitoring/health-checksmonitoring

List health_checks

List health-checks.

Auth: bearerAuth — calls run as the authenticated user.

Responses
200

List

  • idstring
  • endpointIdstring
  • userIdstring
  • ownerKindstring
  • ownerIdstring
  • statusstring
  • responseTimeMsinteger?
  • statusCodeinteger?
  • errorMessagestring?
  • checkedAtstring
Example
[
  {
    "id": "string",
    "endpointId": "string",
    "userId": "string",
    "ownerKind": "string",
    "ownerId": "string",
    "status": "string",
    "responseTimeMs": 0,
    "statusCode": 0,
    "errorMessage": "string",
    "checkedAt": "string"
  }
]
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/monitoring/health-checks" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/monitoring/health-checks", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();